# Get a project-level ingress with resolved routes Source: https://docs.orchard.hackclub.com/api/operations/projects_ingresses_get/ `GET /apiv1/projects/{id}/ingresses/{ingressId}` Operation ID: `projects_ingresses_get` Auth: authenticated (scope: read) ## Parameters | Name | In | Required | Description | | --- | --- | --- | --- | | `id` | path | Yes | | | `ingressId` | path | Yes | | ## Responses ### 200: OK ```json { "additionalProperties": {}, "properties": { "basicAuthEnabled": { "type": "boolean" }, "host": { "type": "string" }, "id": { "type": "string" }, "name": { "type": "string" }, "path": { "type": "string" }, "project": { "additionalProperties": {}, "properties": { "id": { "type": "string" }, "name": { "type": "string" }, "organizationId": { "type": "string" }, "slug": { "type": "string" } }, "required": [ "id", "name" ], "type": "object" }, "protectionMode": { "enum": [ "none", "password", "orchard" ], "type": "string" }, "redirectStatus": { "anyOf": [ { "enum": [ 301 ], "type": "number" }, { "enum": [ 302 ], "type": "number" }, { "enum": [ 307 ], "type": "number" }, { "enum": [ 308 ], "type": "number" }, { "type": "null" } ] }, "redirectTarget": { "type": [ "string", "null" ] }, "routes": { "items": { "additionalProperties": {}, "properties": { "path": { "type": "string" }, "serviceName": { "type": "string" }, "servicePort": { "type": "number" } }, "required": [ "path", "serviceName", "servicePort" ], "type": "object" }, "type": "array" }, "tlsEnabled": { "type": "boolean" }, "url": { "type": "string" } }, "required": [ "id", "name", "host", "path", "tlsEnabled", "url", "routes", "basicAuthEnabled", "protectionMode", "project" ], "type": "object" } ```